Skip to main content

Create Shipping Zone

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_create_shipping_zone

Create a new shipping zone with specific countries and states

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-shipping-zone-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_shipping_zone",
"arguments": {
"name": "name_example",
"countries": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"name": {
"type": "string"
},
"countries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"states": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
}
},
"required": [
"code"
]
}
}
},
"required": [
"code"
]
}
}
},
"required": [
"name",
"countries"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-shipping-zone-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_shipping_zone",
"arguments": {
"name": "name_example",
"countries": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_create_shipping_zone executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}